%define upstream_name    Math-BigInt-GMP
%define upstream_version 1.6003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    High speed arbitrary size integer math
License:    Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: gmp-devel
# automatic dependency doesn't work here, because perl package
# provides an unversioned one
BuildRequires: perl-Math-BigInt >= 1.999.808
BuildRequires: perl-devel
BuildRequires:  perl(Config)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.75
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(lib)
BuildRequires:  perl(Text::ParseWords)
# Module Runtime
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader) >= 0.02
# Test Suite
BuildRequires:  perl(Math::BigFloat) >= 1.994
BuildRequires:  perl(Math::BigInt) > 1.9998
BuildRequires:  perl(Pod::Coverage) >= 0.18
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
BuildRequires:  perl(threads)
BuildRequires:  perl(vars)
%{?perl_default_filter}

%description
This package contains a replacement (drop-in) module for
Math::BigInt's core, Math::BigInt::Calc.pm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB=%{perl_vendorlib}
perl Makefile.PL INSTALLDIRS="vendor"
%make_build  CFLAGS="%{optflags}"

%check
export PERL5LIB=%{perl_vendorlib}
make test

%install
%make_install

%files
%license LICENSE
%doc BUGS CHANGES CREDITS META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorarch}/Math
%{perl_vendorarch}/auto/Math
%{_mandir}/man*/*


%changelog
* Sat Feb 04 2017 shlomif <shlomif> 1.600.300-1.mga6
+ Revision: 1084833
- New version + rebuild for new perl

* Sun Jun 19 2016 pterjan <pterjan> 1.510.0-4.mga6
+ Revision: 1029566
- Rebuild for perl 5.22.2

* Sat Jun 18 2016 tv <tv> 1.510.0-3.mga6
+ Revision: 1022058
- add more BRs for testsuite
- use %%license

* Fri Apr 29 2016 shlomif <shlomif> 1.510.0-1.mga6
+ Revision: 1007963
- update to 1.51

* Fri Apr 15 2016 shlomif <shlomif> 1.490.0-1.mga6
+ Revision: 1002344
- update to 1.49

* Fri Dec 18 2015 shlomif <shlomif> 1.470.0-1.mga6
+ Revision: 911743
- New version 1.47

* Mon Sep 28 2015 sander85 <sander85> 1.430.0-1.mga6
+ Revision: 884689
- update to 1.43

* Sun Aug 23 2015 sander85 <sander85> 1.400.0-1.mga6
+ Revision: 868502
- update to 1.40

* Fri Jun 26 2015 tv <tv> 1.380.0-8.mga6
+ Revision: 844959
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.380.0-7.mga6
+ Revision: 841485
- Fix missing file in prev commit
- Rebuild for the new perl-5.22.0

* Sat Oct 18 2014 umeabot <umeabot> 1.380.0-6.mga5
+ Revision: 787996
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.380.0-5.mga5
+ Revision: 742679
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.380.0-4.mga5
+ Revision: 735623
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.380.0-3.mga5
+ Revision: 685349
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.380.0-2.mga5
+ Revision: 631430
- Rebuild for perl 5.20

* Fri Apr 18 2014 jquelin <jquelin> 1.380.0-1.mga5
+ Revision: 616276
- update to 1.38

* Sat Oct 19 2013 umeabot <umeabot> 1.370.0-6.mga4
+ Revision: 524877
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.370.0-5.mga4
+ Revision: 431621
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.370.0-4.mga3
+ Revision: 369563
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.370.0-3.mga3
+ Revision: 250944
- rebuild for perl 5.16

* Wed May 30 2012 jquelin <jquelin> 1.370.0-2.mga3
+ Revision: 250910
- rebuild for perl 5.16

* Mon Sep 26 2011 jquelin <jquelin> 1.370.0-1.mga2
+ Revision: 148460
- update to 1.37

* Sun Jun 12 2011 sander85 <sander85> 1.360.0-2.mga2
+ Revision: 104777
- Rebuild for perl 5.14

* Mon Feb 28 2011 jquelin <jquelin> 1.360.0-1.mga1
+ Revision: 61604
- update to 1.36
- mageia rebuild
- cleaning spec file
- imported package perl-Math-BigInt-GMP

